class SortByNameToggleEventHandler extends LabelBasedToggleEventHandler {

  static ButtonLabels = [
    ["Sort By Name", "Sorting By Name"], // English
  ];

  _sendMuteState = () => {
    this._sendSimpleMuteStateUpdate("sortByNameMutedState");
  }

  handleStreamDeckEvent = (message) => {
    if (message.event === "toggleSortByName") {
      this._toggleMute();
    } else if (message.event === "getSortByNameState") {
      this._sendMuteState();
    }
  }

}
